!	Britton J. Olson
!	Stanford University- Department of Aero/Astro
!	miranda_jr 2-D LES code
!	Solves the compressible Navier Stokes equations
!	in 2-D for arbitrary number of fluids
!	10th order compact scheme as defined by Lele
!	4th order, 5 step RK4 for temporal integration 

!    Copyright (C) 2011  Britton Olson
!
!    This program is free software: you can redistribute it and/or modify
!    it under the terms of the GNU General Public License as published by
!    the Free Software Foundation, version 3.

!    This program is distributed in the hope that it will be useful,
!    but WITHOUT ANY WARRANTY; without even the implied warranty of
!    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!    GNU General Public License at http://www.gnu.org/licenses/
!    for more details.


!	Output routines for the writing of visualization data to file
!	Used in miranda_2d and need specifc cases for writing the data
SUBROUTINE output
  USE globals
  USE inputs
  !USE AFLES_vars
  !USE metrics
  IMPLICIT NONE
  character(LEN=flen) :: outfile
  character(LEN=3) :: name


  !WRITE(UNIT=name, FMT='(I3)') counter+100

  !outfile = adjustr(trim(jobname))  // adjustr(trim(name)) // '.tec'
  WRITE(outfile,'(A,I4.4,A)') TRIM(jobname), counter, '.tec'

  !	Write to files-Visualization fields for ViSIT
  OPEN(21,file=outfile,status='unknown') 
  WRITE (21,*) ' VARIABLES = "X", "Y", "P","rho","T", "U","V","Fluid-1" '
  WRITE(21,*) "ZONE I=", size(x), ", J=", size(y), ", F=POINT"
    DO  J=1,size(y)
      DO  I=1, size(x)
        WRITE (21,*) x(i), y(j), p(I,J), rho(I,J),T(I,J),u(I,J),v(I,J),YY(I,J,1)
      END DO
    END DO
  CLOSE(21)

  ! Write restart meta-file  
  OPEN(22,file='restart.dat',FORM='FORMATTED',STATUS='REPLACE')
  WRITE(22,*) counter,time,outfile
  CLOSE(22)


END SUBROUTINE output


